### Name: predict.TWIX
### Title: Predictions from a TWIX object
### Aliases: predict.TWIX predict.bootTWIX
### Keywords: tree

### ** Examples

    library(ElemStatLearn)
    data(SAheart)

    ### response variable must be a factor
    SAheart$chd <- factor(SAheart$chd) 

    ### test and train data
    ###
    set.seed(1234)
    icv <- sample(nrow(SAheart),nrow(SAheart)/3)
    itr <- setdiff(1:nrow(SAheart),icv)
    train <- SAheart[itr,]
    test <- SAheart[icv,]

    M1 <- TWIX(chd~.,data=train,topN=c(4,3),topn.method="single")

    ### classification 
    pred <- predict(M1,newdata=test,sq=1:2)
    pred

    ### for correct classification rate
    predict(M1,newdata=test,sq=1:2,ccr=TRUE)$CCR

    ### estimated class probabilities
    predict(M1,newdata=test,sq=1,type="prob")



